> ## Documentation Index
> Fetch the complete documentation index at: https://widget-docs.rapidagent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent - Create



## OpenAPI

````yaml POST /agents
openapi: 3.0.1
info:
  title: RapidAgent.ai - API OpenAPI specifications
  description: ''
  termsOfService: https://rapidagent.ai/terms
  contact:
    email: support@rapidagent.ai
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://api.chaindesk.ai
security:
  - bearerAuth: []
tags:
  - name: agents
  - name: datastores
  - name: datasources
paths:
  /agents:
    post:
      tags:
        - agents
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
                modelName:
                  enum:
                    - gpt_3_5_turbo
                    - gpt_3_5_turbo_16k
                    - gpt_4
                    - gpt_4_32k
                temperature:
                  type: number
                  description: Temperature of the model (min 0.0, max 1.0)
                promptType:
                  description: Set the prompt type for this query
                  enum:
                    - raw
                    - customer_support
                promptTemplate:
                  type: string
                  description: Set the prompt template for this query
                visibility:
                  enum:
                    - public
                    - private
              required:
                - description
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Agent'
        '400':
          description: Invalid body
        '403':
          description: Unauthorized
components:
  schemas:
    Agent:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        modelName:
          enum:
            - gpt_3_5_turbo
            - gpt_3_5_turbo_16k
            - gpt_4
            - gpt_4_32k
        temperature:
          type: number
          description: Temperature of the model (min 0.0, max 1.0)
        promptType:
          description: Set the prompt type for this query
          enum:
            - raw
            - customer_support
        promptTemplate:
          type: string
          description: Set the prompt template for this query
        visibility:
          enum:
            - public
            - private
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````